package com.yeejoin.amos.bank.remote.client;

import com.yeejoin.amos.component.feign.config.InnerInvokException;
import com.yeejoin.amos.op.core.common.response.CommonResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;


/**
 * @author DELL
 *
 */
@FeignClient(name = "${Risk.fegin.name}")
public interface RiskModelRemoteClient {

	/**
     * 修改rpn值
     */
    @RequestMapping(value = "api/risksource/update/fireqeuiment/sod", method = RequestMethod.GET, consumes="application/json" )
    CommonResponse updateEquipmentAlarmData(@RequestParam(value = "riskFactorID") Long riskFactorID) throws InnerInvokException;
}
